> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show the customer IDs in a segment



## OpenAPI

````yaml /openapi.json get /segments/{id}/customer_ids
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /segments/{id}/customer_ids:
    get:
      tags:
        - Segments
      summary: Show the customer IDs in a segment
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the segment
          required: true
      responses:
        '200':
          description: The customer IDs in the segment
          content:
            application/json:
              schema:
                type: object
                properties:
                  customer_ids:
                    type: array
                    items:
                      type: string
                    description: An array of IDs of the customers in the segment
                required:
                  - customer_ids
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````